dubbo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] diecui1202 commented on issue #1500: not support java 10
Date Tue, 10 Apr 2018 05:49:16 GMT
diecui1202 commented on issue #1500: not support java 10
URL: https://github.com/apache/incubator-dubbo/issues/1500#issuecomment-379981687
 
 
   ```
   <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   	<modelVersion>4.0.0</modelVersion>
   
   	<groupId>benchmark.rpc</groupId>
   	<artifactId>dubbo-server</artifactId>
   	<version>round-2</version>
   	<packaging>jar</packaging>
   
   	<name>dubbo-server</name>
   	<url>http://maven.apache.org</url>
   
   	<properties>
   		<maven.compiler.source>1.9</maven.compiler.source>
   		<maven.compiler.target>1.9</maven.compiler.target>
   		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
   		<version.benchmark-base>round-2</version.benchmark-base>
   		<version.dubbo>2.6.1</version.dubbo>
   		<version.javakaffee>0.42</version.javakaffee>
   	</properties>
   
   	<dependencies>
   		<dependency>
   			<groupId>benchmark.rpc</groupId>
   			<artifactId>benchmark-base</artifactId>
   			<version>${version.benchmark-base}</version>
   		</dependency>
   		<dependency>
   			<groupId>com.alibaba</groupId>
   			<artifactId>dubbo</artifactId>
   			<version>${version.dubbo}</version>
   		</dependency>
   		<dependency>
   			<groupId>de.javakaffee</groupId>
   			<artifactId>kryo-serializers</artifactId>
   			<version>${version.javakaffee}</version>
   		</dependency>
   
   		<dependency>
   			<groupId>junit</groupId>
   			<artifactId>junit</artifactId>
   			<version>4.12</version>
   			<scope>test</scope>
   		</dependency>
   
   	</dependencies>
   
   
   	<build>
   		<plugins>
   			<plugin>
   				<groupId>org.apache.maven.plugins</groupId>
   				<artifactId>maven-compiler-plugin</artifactId>
   				<version>3.7.0</version>
   				<configuration>
   					<defaultLibBundleDir>lib</defaultLibBundleDir>
   					<source>9</source>
   					<target>9</target>
   					<encoding>UTF-8</encoding>
   				</configuration>
   			</plugin>
   			<plugin>
   				<groupId>org.apache.maven.plugins</groupId>
   				<artifactId>maven-resources-plugin</artifactId>
   				<version>3.0.0</version>
   				<configuration>
   					<encoding>UTF-8</encoding>
   				</configuration>
   			</plugin>
   
   			<plugin>
   				<artifactId>maven-assembly-plugin</artifactId>
   				<version>3.1.0</version>
   				<configuration>
   					<descriptorRefs>
   						<descriptorRef>jar-with-dependencies</descriptorRef>
   					</descriptorRefs>
   					<archive>
   						<manifest>
   							<mainClass>benchmark.rpc.Server</mainClass>
   						</manifest>
   					</archive>
   				</configuration>
   				<executions>
   					<execution>
   						<id>make-assembly</id> <!-- this is used for inheritance merges -->
   						<phase>package</phase> <!-- bind to the packaging phase -->
   						<goals>
   							<goal>single</goal>
   						</goals>
   					</execution>
   				</executions>
   			</plugin>
   
   		</plugins>
   		<resources>
   			<resource>
   				<directory>src/main/resources</directory>
   			</resource>
   		</resources>
   	</build>
   </project>
   ```
   
   I just change version.dubbo to 2.6.1

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message